<!DOCTYPE html>
<html>
<body>
<script>
document.write("-----array holding different different datatypes-----<br>");
var a=[1,"two",null,undefined, ," "];//array holding different different datatypes
document.write(a);

document.write("<br><br>-----new and join keywords using in array-----<br>");
var b=new Array("chandana","swetha","pavani","sravani","sruthi");//using new keyword
document.write(b.join("  "));//using array.join()
document.write("<br>");

document.write(b.length);//array length property

document.write("<br><br>-----accessin array elements-----<br>");
for(i=0;i<b.length;i++)//accessing array elements
    document.write(" "+a[i]);

document.write("<br><br>-----array as an object-----<br>");
var p = [{firstName:"chandana", lastName:"vipparla", age:21},{firstname:"venkatesh" ,lastname:"vipparla", age:"20"}];//array as an object
document.write(p["firstName"]);
document.write("<br><br>-----join method in array object-----<br>");
document.write(p.join("*"));

var c=[1,5,7,3,5,90];
document.write("<br><br>-----sorting of array elements-----<br>");
document.write(a.sort());// sort() method 
document.write("<br>");
document.write(b.sort());
document.write("<br>");
document.write(c.sort());

document.write("<br><br>-----reversing of array elements-----<br>");
document.write(a.reverse());// sort() method 
document.write("<br>");
document.write(b.reverse());
document.write("<br>");
document.write(c.reverse());

document.write("<br><br>-----using toString method----<br>");
document.write(b.toString());//toString method 

document.write("<br><br>-----pop element from array-----<br>");
document.write(c.pop());//pop()------c.pop();
document.write("<br>");
document.write(c);

document.write("<br><br>-----push element to an array-----<br>");
document.write(c.push("44"));//push() gives length
document.write("<br>");
document.write(c);

document.write("<br><br>----shift method-----<br>"+c.shift());//shift() method removes first element
document.write("<br>");
document.write(c);

document.write("<br>-----unshift method-----<br>");
document.write(c.unshift("zero"));
document.write("<br>");
document.write(c);

document.write("<br><br>-----splice method-----<br>");
document.write(c.splice(2, 2, "ten", "20"));//show deleted items if u delete
document.write("<br>"+c);//splice() method

document.write("<br><br>-----Concatenating arrays----- <br>");
document.write(c.concat(b));//concat() method for two arrays
//document.write(c.concat(person));//concat() method for array and object

document.write("<br><br>------Concatenating string to an array------<br>");
document.write(a.concat("session"));

document.write("<br><br>-----slicing an array-----<br>");
var k=c.slice(0,2);
document.write(k);

document.write("<br><br>-----max element of an array-----<br>");
var d=[10,45,34,78,204];
var len = d.length;
var max = -Infinity;
while (len--)
{
    if (d[len] > max)
    {
      max = d[len];
    }
}
document.write(max);

document.write("<br><br>-----callback function(forEach()) array-----<br>");
d.forEach((value, index, array)=> {
  document.write(value + "<br>"); 
})

document.write("<br>-----map() function in array-----<br>");
var m = d.map(mapfun);
document.write( m);
function mapfun(value, index, array) 
{
  return value * 2;
}

document.write("<br><br>-----filter() function in array-----<br>");
var f = d.filter(filterfun);
document.write( f);
function filterfun(value, array) 
{
  return (value%2==0);
}

document.write("<br><br>-----reduce() function  in array-----<br>");
var r = d.reduce(reducefun);
document.write( r);
function reducefun(value1,value2) //here value1 is index0 and value2 is index1
{
  return (value1+value2);
}

document.write("<br><br>-----every() function  in array-----<br>");
var e = d.every(everyfun);
document.write( e);
function everyfun(value)
{
  return (value%2==0);
}

document.write("<br><br>-----some() function  in array-----<br>");
var s = d.some(somefun);
document.write(s);
function somefun(value)
{
  return (value%2==0);
}

document.write("<br><br>-----indexOf() &lastIndexOf() functions  in array-----<br>");
document.write(b.indexOf("chandana"));
document.write("<br>");
document.write(b.lastIndexOf("chandana"));
</script>
</body>
</html>

